<div fxLayout="row">
  <div *ngIf="containers" fxLayout="column" fxFlex="60" fxFlexOffset="20">
    <containerCard *ngFor="let container of containers" [container]="container"></containerCard>
    <raamCard *ngIf="containers.length === 0" [title]="''" [fxLayout]="'center center'">
      <span class="raamHintText bigText">No container connected yet</span>
    </raamCard>
  </div>

  <div fxLayout="column" fxLayoutAlign="start center" fxFlex>
    <button class="btn btn-lg btn-success" (click)="newContainer.open()" fxFlexOffset="2"><span
      class="fa fa-plus"></span> Add Container
    </button>
    <button class="btn btn-lg btn-primary" fxFlexOffset="2"><span
      class="fa fa-question"></span> Create Container
    </button>
    <!--TODO ============================================== Create Container (QR) ============================================== TODO -->
  </div>
</div>

<containerModal #newContainer (finished)="getAllContainer()"></containerModal>
